{
  "format_version": "1.10.0",
  "animation_controllers": {
    "controller.animation.silverlabs_nat.peafowl.main": {
      "states": {
        "default": {
          "animations": [
            "idle"
          ],
          "transitions": [
            {
              "idle_event": "math.random_integer(0, 1000) == 0 && q.ground_speed < 0.15"
            },
            {
              "walk": "q.modified_move_speed >= 0.05 && !q.property('silverlabs_nat:is_panicking')"
            },
            {
              "run": "q.modified_move_speed >= 0.05 && q.property('silverlabs_nat:is_panicking')"
            },
            { "unfurl": "q.property('silverlabs_nat:unfurl')" },
            { "dance": "q.property('silverlabs_nat:is_dancing')" },
            { "sit": "q.is_sitting" }
          ],
          "blend_transition": 0.2
        },
        "idle_event": {
          "animations": [
            "idle_event"
          ],
          "transitions": [
            { "default": "q.all_animations_finished" },
            {
              "walk": "q.modified_move_speed >= 0.05 && !q.property('silverlabs_nat:is_panicking')"
            },
            {
              "run": "q.modified_move_speed >= 0.05 && q.property('silverlabs_nat:is_panicking')"
            }
          ],
          "blend_transition": 0.2
        },
        "unfurl": {
          "animations": [
            "unfurl"
          ],
          "transitions": [
            { "default": "!q.property('silverlabs_nat:unfurl')" }
          ],
          "blend_transition": 0.2
        },
        "walk": {
          "animations": [
            "walk"
          ],
          "transitions": [
            {
              "default": "!q.property('silverlabs_nat:is_dancing') && (q.modified_move_speed < 0.05)"
            },
            {
              "run": "q.modified_move_speed >= 0.05 && q.property('silverlabs_nat:is_panicking')"
            },
            {
              "dance": "q.property('silverlabs_nat:is_dancing') && (q.modified_move_speed < 0.05)"
            }
          ],
          "blend_transition": 0.2
        },
        "run": {
          "animations": [
            "run"
          ],
          "transitions": [
            {
              "default": "!q.property('silverlabs_nat:is_dancing') && (q.modified_move_speed < 0.05)"
            },
            {
              "walk": "q.modified_move_speed >= 0.05 && !q.property('silverlabs_nat:is_panicking')"
            },
            {
              "dance": "q.property('silverlabs_nat:is_dancing') && (q.modified_move_speed < 0.05)"
            }
          ],
          "blend_transition": 0.2
        },
        "dance": {
          "animations": [
            "dance"
          ],
          "transitions": [
            { "default": "!q.property('silverlabs_nat:is_dancing')" }
          ],
          "blend_transition": 0.2
        },
        "sit": {
          "animations": [
            "sit"
          ],
          "transitions": [
            { "default": "!q.is_sitting" }
          ],
          "blend_transition": 0.2
        }
      }
    }
  }
}
